@echo off

set ARFF="Random forest.arff"
set CPP="random_forest_cpp.c"
set CSCRIPT="random_forest_c-script.c"
set DLL="random_forest_dll.c"
set JSCRIPT="random_forest_jscript.js"
set TREE2C=..\..\Bin\RADS_Win32\Tree2C.exe
set WEKASRC="random forest.txt"

echo.
echo **** C code ****
echo.

%TREE2C% %WEKASRC% -a %ARFF%

echo.
echo **** DLL C code ****
echo.

%TREE2C% %WEKASRC% -a %ARFF% -o %DLL% -d

echo.
echo **** C-script for VEGA ZZ ****
echo.

%TREE2C% %WEKASRC% -a %ARFF% -o %CSCRIPT% -vm

echo.
echo **** C++ code ****
echo.

%TREE2C% %WEKASRC% -a %ARFF% -o %CPP% -s C++

echo.
echo **** Fortran 90 code ****
echo.

%TREE2C% %WEKASRC% -a %ARFF% -s Fortran90

echo.
echo **** Java code ****
echo.

%TREE2C% %WEKASRC% -a %ARFF% -s Java

echo.
echo **** JavaScript code ****
echo.

%TREE2C% %WEKASRC% -a %ARFF% -s JavaScript

echo.
echo **** JScript code ****
echo.

%TREE2C% %WEKASRC% -a %ARFF% -o %JSCRIPT% -s JScript

echo.
echo **** Lua code ****
echo.

%TREE2C% %WEKASRC% -a %ARFF% -s Lua

echo.
echo **** PHP code ****
echo.

%TREE2C% %WEKASRC% -a %ARFF% -s PHP

echo.
echo **** Python code ****
echo.

%TREE2C% %WEKASRC% -a %ARFF% -s Python

echo.
echo **** REBOL code ****
echo.

%TREE2C% %WEKASRC% -a %ARFF% -s REBOL

echo.
echo **** VBScript code ****
echo.

%TREE2C% %WEKASRC% -a %ARFF% -s VBScript

REM Free the resources

set ARFF=
set CPP=
set CSCRIPT=
set DLL=
set JSCRIPT=
set TREE2C=
set WEKASRC=
